[arch-commits] Commit in systemd/repos (14 files)

Dave Reisner dreisner at nymeria.archlinux.org
Thu Mar 28 15:21:03 UTC 2013


    Date: Thursday, March 28, 2013 @ 16:21:03
  Author: dreisner
Revision: 180935

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  systemd/repos/testing-i686/
  systemd/repos/testing-i686/PKGBUILD
    (from rev 180934, systemd/trunk/PKGBUILD)
  systemd/repos/testing-i686/initcpio-hook-udev
    (from rev 180934, systemd/trunk/initcpio-hook-udev)
  systemd/repos/testing-i686/initcpio-install-timestamp
    (from rev 180934, systemd/trunk/initcpio-install-timestamp)
  systemd/repos/testing-i686/initcpio-install-udev
    (from rev 180934, systemd/trunk/initcpio-install-udev)
  systemd/repos/testing-i686/systemd.install
    (from rev 180934, systemd/trunk/systemd.install)
  systemd/repos/testing-i686/use-split-usr-path.patch
    (from rev 180934, systemd/trunk/use-split-usr-path.patch)
  systemd/repos/testing-x86_64/
  systemd/repos/testing-x86_64/PKGBUILD
    (from rev 180934, systemd/trunk/PKGBUILD)
  systemd/repos/testing-x86_64/initcpio-hook-udev
    (from rev 180934, systemd/trunk/initcpio-hook-udev)
  systemd/repos/testing-x86_64/initcpio-install-timestamp
    (from rev 180934, systemd/trunk/initcpio-install-timestamp)
  systemd/repos/testing-x86_64/initcpio-install-udev
    (from rev 180934, systemd/trunk/initcpio-install-udev)
  systemd/repos/testing-x86_64/systemd.install
    (from rev 180934, systemd/trunk/systemd.install)
  systemd/repos/testing-x86_64/use-split-usr-path.patch
    (from rev 180934, systemd/trunk/use-split-usr-path.patch)

-------------------------------------------+
 testing-i686/PKGBUILD                     |  133 ++++++++++++++++++++++++++++
 testing-i686/initcpio-hook-udev           |   20 ++++
 testing-i686/initcpio-install-timestamp   |   14 ++
 testing-i686/initcpio-install-udev        |   28 +++++
 testing-i686/systemd.install              |   87 ++++++++++++++++++
 testing-i686/use-split-usr-path.patch     |   14 ++
 testing-x86_64/PKGBUILD                   |  133 ++++++++++++++++++++++++++++
 testing-x86_64/initcpio-hook-udev         |   20 ++++
 testing-x86_64/initcpio-install-timestamp |   14 ++
 testing-x86_64/initcpio-install-udev      |   28 +++++
 testing-x86_64/systemd.install            |   87 ++++++++++++++++++
 testing-x86_64/use-split-usr-path.patch   |   14 ++
 12 files changed, 592 insertions(+)

Copied: systemd/repos/testing-i686/PKGBUILD (from rev 180934, systemd/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2013-03-28 15:21:03 UTC (rev 180935)
@@ -0,0 +1,133 @@
+# Maintainer: Dave Reisner <dreisner at archlinux.org>
+# Maintainer: Tom Gundersen <teg at jklm.no>
+
+pkgbase=systemd
+pkgname=('systemd' 'systemd-sysvcompat')
+pkgver=199
+pkgrel=1
+arch=('i686' 'x86_64')
+url="http://www.freedesktop.org/wiki/Software/systemd"
+license=('GPL2' 'LGPL2.1' 'MIT')
+makedepends=('acl' 'cryptsetup' 'dbus-core' 'docbook-xsl' 'gobject-introspection' 'gperf'
+             'gtk-doc' 'intltool' 'kmod' 'libcap' 'libgcrypt'  'libmicrohttpd' 'libxslt'
+             'linux-api-headers' 'pam' 'python' 'quota-tools' 'xz')
+options=('!libtool')
+source=("http://www.freedesktop.org/software/$pkgname/$pkgname-$pkgver.tar.xz"
+        'initcpio-hook-udev'
+        'initcpio-install-udev'
+        'initcpio-install-timestamp'
+        'use-split-usr-path.patch')
+md5sums=('4bb13f84ce211e93f0141774a90a2322'
+         'e99e9189aa2f6084ac28b8ddf605aeb8'
+         'fb37e34ea006c79be1c54cbb0f803414'
+         'df69615503ad293c9ddf9d8b7755282d'
+         '76bf83fe34c5b40533abc5dc940576a6')
+
+build() {
+  cd "$pkgname-$pkgver"
+
+  # hang onto this until we do the /{,s}bin merge
+  patch -Np1 <"$srcdir/use-split-usr-path.patch"
+
+  ./configure \
+      --enable-static \
+      --libexecdir=/usr/lib \
+      --localstatedir=/var \
+      --sysconfdir=/etc \
+      --enable-introspection \
+      --enable-gtk-doc \
+      --disable-audit \
+      --disable-ima \
+      --with-sysvinit-path= \
+      --with-sysvrcnd-path=
+
+  make
+}
+
+check() {
+  make -C "$pkgname-$pkgver" check
+}
+
+package_systemd() {
+  pkgdesc="system and service manager"
+  depends=('acl' 'bash' 'dbus-core' 'glib2' 'kbd' 'kmod' 'hwids' 'libcap' 'libgcrypt'
+           'pam' 'util-linux' 'xz')
+  provides=("libsystemd=$pkgver" 'nss-myhostname' "systemd-tools=$pkgver" "udev=$pkgver")
+  replaces=('libsystemd' 'nss-myhostname' 'systemd-tools' 'udev')
+  conflicts=('libsystemd' 'nss-myhostname' 'systemd-tools' 'udev')
+  optdepends=('cryptsetup: required for encrypted block devices'
+              'libmicrohttpd: systemd-journal-gatewayd'
+              'quota-tools: kernel-level quota management'
+              'python: systemd library bindings'
+              'systemd-sysvcompat: symlink package to provide sysvinit binaries')
+  backup=(etc/dbus-1/system.d/org.freedesktop.systemd1.conf
+          etc/dbus-1/system.d/org.freedesktop.hostname1.conf
+          etc/dbus-1/system.d/org.freedesktop.login1.conf
+          etc/dbus-1/system.d/org.freedesktop.locale1.conf
+          etc/dbus-1/system.d/org.freedesktop.timedate1.conf
+          etc/systemd/system.conf
+          etc/systemd/user.conf
+          etc/systemd/logind.conf
+          etc/systemd/journald.conf
+          etc/udev/udev.conf)
+  install="systemd.install"
+
+  make -C "$pkgname-$pkgver" DESTDIR="$pkgdir" install
+
+  printf "d /run/console 0755 root root\n" > "$pkgdir/usr/lib/tmpfiles.d/console.conf"
+
+  install -dm755 "$pkgdir/bin"
+  ln -s ../usr/lib/systemd/systemd "$pkgdir/bin/systemd"
+
+  # don't write units to /etc by default -- we'll enable this on post_install
+  # as a sane default
+  rm "$pkgdir/etc/systemd/system/getty.target.wants/getty at tty1.service"
+  rmdir "$pkgdir/etc/systemd/system/getty.target.wants"
+
+  # get rid of RPM macros
+  rm -r "$pkgdir/etc/rpm"
+
+  # the path to udevadm is hardcoded in some places
+  install -d "$pkgdir/sbin"
+  ln -s ../usr/bin/udevadm "$pkgdir/sbin/udevadm"
+
+  # udevd is no longer udevd because systemd. why isn't udevadm now udevctl?
+  ln -s ../lib/systemd/systemd-udevd "$pkgdir/usr/bin/udevd"
+
+  # add back tmpfiles.d/legacy.conf
+  install -m644 "systemd-$pkgver/tmpfiles.d/legacy.conf" "$pkgdir/usr/lib/tmpfiles.d"
+
+  # Replace dialout/tape/cdrom group in rules with uucp/storage/optical group
+  sed -i 's#GROUP="dialout"#GROUP="uucp"#g;
+          s#GROUP="tape"#GROUP="storage"#g;
+          s#GROUP="cdrom"#GROUP="optical"#g' "$pkgdir"/usr/lib/udev/rules.d/*.rules
+
+  # add mkinitcpio hooks
+  install -Dm644 "$srcdir/initcpio-install-udev" "$pkgdir/usr/lib/initcpio/install/udev"
+  install -Dm644 "$srcdir/initcpio-hook-udev" "$pkgdir/usr/lib/initcpio/hooks/udev"
+  install -Dm644 "$srcdir/initcpio-install-timestamp" "$pkgdir/usr/lib/initcpio/install/timestamp"
+
+  ### split out manpages for sysvcompat
+  rm -rf "$srcdir/_sysvcompat"
+  install -dm755 "$srcdir"/_sysvcompat/usr/share/man/man8/
+  mv "$pkgdir"/usr/share/man/man8/{telinit,halt,reboot,poweroff,runlevel,shutdown}.8 \
+     "$srcdir"/_sysvcompat/usr/share/man/man8
+}
+
+package_systemd-sysvcompat() {
+  pkgdesc="sysvinit compat for systemd"
+  groups=('base')
+  conflicts=('sysvinit')
+  depends=('sysvinit-tools' 'systemd')
+
+  mv "$srcdir/_sysvcompat"/* "$pkgdir"
+
+  install -dm755 "$pkgdir/sbin"
+  for tool in runlevel reboot shutdown poweroff halt telinit; do
+    ln -s '/usr/bin/systemctl' "$pkgdir/sbin/$tool"
+  done
+
+  ln -s '../usr/lib/systemd/systemd' "$pkgdir/sbin/init"
+}
+
+# vim: ft=sh syn=sh et

Copied: systemd/repos/testing-i686/initcpio-hook-udev (from rev 180934, systemd/trunk/initcpio-hook-udev)
===================================================================
--- testing-i686/initcpio-hook-udev	                        (rev 0)
+++ testing-i686/initcpio-hook-udev	2013-03-28 15:21:03 UTC (rev 180935)
@@ -0,0 +1,20 @@
+#!/usr/bin/ash
+
+run_earlyhook() {
+    udevd --daemon --resolve-names=never
+    udevd_running=1
+}
+
+run_hook() {
+    msg ":: Triggering uevents..."
+    udevadm trigger --action=add --type=subsystems
+    udevadm trigger --action=add --type=devices
+    udevadm settle
+}
+
+run_cleanuphook() {
+    udevadm control --exit
+    udevadm info --cleanup-db
+}
+
+# vim: set ft=sh ts=4 sw=4 et:

Copied: systemd/repos/testing-i686/initcpio-install-timestamp (from rev 180934, systemd/trunk/initcpio-install-timestamp)
===================================================================
--- testing-i686/initcpio-install-timestamp	                        (rev 0)
+++ testing-i686/initcpio-install-timestamp	2013-03-28 15:21:03 UTC (rev 180935)
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+build() {
+    add_binary /usr/lib/systemd/systemd-timestamp /usr/bin/systemd-timestamp
+}
+
+help() {
+    cat <<HELPEOF
+Provides support for RD_TIMESTAMP in early userspace, which can be read by a
+program such as systemd-analyze to determine boot time.
+HELPEOF
+}
+
+# vim: set ft=sh ts=4 sw=4 et:

Copied: systemd/repos/testing-i686/initcpio-install-udev (from rev 180934, systemd/trunk/initcpio-install-udev)
===================================================================
--- testing-i686/initcpio-install-udev	                        (rev 0)
+++ testing-i686/initcpio-install-udev	2013-03-28 15:21:03 UTC (rev 180935)
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+build() {
+    local rules tool
+
+    add_file "/etc/udev/udev.conf"
+    add_binary /usr/lib/systemd/systemd-udevd /usr/bin/udevd
+    add_binary /usr/bin/udevadm
+
+    for rules in 50-udev-default.rules 60-persistent-storage.rules 64-btrfs.rules 80-drivers.rules; do
+        add_file "/usr/lib/udev/rules.d/$rules"
+    done
+    for tool in ata_id scsi_id; do
+        add_file "/usr/lib/udev/$tool"
+    done
+
+    add_runscript
+}
+
+help() {
+    cat <<HELPEOF
+This hook will use udev to create your root device node and detect the needed
+modules for your root device. It is also required for firmware loading in
+initramfs. It is recommended to use this hook.
+HELPEOF
+}
+
+# vim: set ft=sh ts=4 sw=4 et:

Copied: systemd/repos/testing-i686/systemd.install (from rev 180934, systemd/trunk/systemd.install)
===================================================================
--- testing-i686/systemd.install	                        (rev 0)
+++ testing-i686/systemd.install	2013-03-28 15:21:03 UTC (rev 180935)
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+sd_booted() {
+  [ -e sys/fs/cgroup/systemd ]
+}
+
+add_privs() {
+  if ! setcap "$2" "$1" 2>/dev/null; then
+    echo "==> Warning: setcap failed, falling back to setuid root on /$1"
+    chmod u+s "$1"
+  fi
+}
+
+post_common() {
+  systemd-machine-id-setup
+
+  add_privs usr/bin/systemd-detect-virt 'cap_dac_override,cap_sys_ptrace+ep'
+
+  udevadm hwdb --update
+  journalctl --update-catalog
+
+  if sd_booted; then
+    systemctl --system daemon-reexec
+  fi
+}
+
+mask_net_naming() {
+  if [ ! -e etc/udev/rules.d/80-net-name-slot.rules ]; then
+    printf >etc/udev/rules.d/80-net-name-slot.rules '# %s\n' \
+      "This file masks persistent renaming rules for network devices. If you" \
+      "delete this file, /usr/lib/udev/rules.d/80-net-name-slot.rules may" \
+      "rename network devices according to ID_NET_NAME_{ONBOARD,SLOT,PATH}" \
+      "properties of your network devices, with priority in that order. See" \
+      "the output of 'udevadm test-builtin net_id /sys/class/net/\$interface'" \
+      "for details on what that new name might be." \
+      "" \
+      "http://www.freedesktop.org/wiki/Software/systemd/PredictableNetworkInterfaceNames"
+  fi
+}
+
+post_install() {
+  post_common
+
+  # enable getty at tty1 by default, but don't track the file
+  systemctl enable getty at .service
+
+  echo ":: Append 'init=/usr/lib/systemd/systemd' to your kernel command line in your"
+  echo "   bootloader to replace sysvinit with systemd, or install systemd-sysvcompat"
+}
+
+post_upgrade() {
+  post_common
+
+  # getty at tty1.service is no longer enabled by default, but we don't want to break
+  # existing setups.
+  if [ "$(vercmp 183 "$2")" -eq 1 ]; then
+    # systemctl seems to be whiny on sysvinit. this will succeed unless something
+    # horrific happens, so just mask the error.
+    systemctl -q enable getty at .service || true
+  fi
+
+  if [ "$(vercmp 194-4 "$2")" -eq 1 ]; then
+    printf '==> journald now writes to /var/log/journal by default. This can be\n'
+    printf '    controlled with the Storage setting in /etc/systemd/journald.conf\n'
+  fi
+
+  # logind's protocol changed. kindly restart the daemon to avoid locking
+  # out further logins.
+  if [ "$(vercmp 195 "$2")" -eq 1 ]; then
+    if sd_booted; then
+      systemctl restart systemd-logind.service
+    fi
+  fi
+
+  if [ "$(vercmp 196-1 "$2")" -eq 1 ]; then
+    printf '==> The legacy configuration options are no longer supported in rc.conf,\n'
+    printf '    convert your rc.conf to the new configuration formats.\n'
+  fi
+
+  if [ "$(vercmp 197-1 "$2")" -eq 1 ]; then
+    mask_net_naming
+    printf '==> Persistent net naming rules have been shipped as disabled.\n'
+    printf '    See /etc/udev/rules.d/80-net-name-slot.rules for more detail\n'
+  fi
+}
+
+# vim:set ts=2 sw=2 et:

Copied: systemd/repos/testing-i686/use-split-usr-path.patch (from rev 180934, systemd/trunk/use-split-usr-path.patch)
===================================================================
--- testing-i686/use-split-usr-path.patch	                        (rev 0)
+++ testing-i686/use-split-usr-path.patch	2013-03-28 15:21:03 UTC (rev 180935)
@@ -0,0 +1,14 @@
+--- a/src/core/main.c	2012-09-20 23:02:54.000000000 -0400
++++ b/src/core/main.c	2012-09-20 23:03:13.000000000 -0400
+@@ -1487,11 +1487,7 @@ int main(int argc, char *argv[]) {
+ 
+         /* Set up PATH unless it is already set */
+         setenv("PATH",
+-#ifdef HAVE_SPLIT_USR
+                "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
+-#else
+-               "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin",
+-#endif
+                arg_running_as == SYSTEMD_SYSTEM);
+ 
+         if (arg_running_as == SYSTEMD_SYSTEM) {

Copied: systemd/repos/testing-x86_64/PKGBUILD (from rev 180934, systemd/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2013-03-28 15:21:03 UTC (rev 180935)
@@ -0,0 +1,133 @@
+# Maintainer: Dave Reisner <dreisner at archlinux.org>
+# Maintainer: Tom Gundersen <teg at jklm.no>
+
+pkgbase=systemd
+pkgname=('systemd' 'systemd-sysvcompat')
+pkgver=199
+pkgrel=1
+arch=('i686' 'x86_64')
+url="http://www.freedesktop.org/wiki/Software/systemd"
+license=('GPL2' 'LGPL2.1' 'MIT')
+makedepends=('acl' 'cryptsetup' 'dbus-core' 'docbook-xsl' 'gobject-introspection' 'gperf'
+             'gtk-doc' 'intltool' 'kmod' 'libcap' 'libgcrypt'  'libmicrohttpd' 'libxslt'
+             'linux-api-headers' 'pam' 'python' 'quota-tools' 'xz')
+options=('!libtool')
+source=("http://www.freedesktop.org/software/$pkgname/$pkgname-$pkgver.tar.xz"
+        'initcpio-hook-udev'
+        'initcpio-install-udev'
+        'initcpio-install-timestamp'
+        'use-split-usr-path.patch')
+md5sums=('4bb13f84ce211e93f0141774a90a2322'
+         'e99e9189aa2f6084ac28b8ddf605aeb8'
+         'fb37e34ea006c79be1c54cbb0f803414'
+         'df69615503ad293c9ddf9d8b7755282d'
+         '76bf83fe34c5b40533abc5dc940576a6')
+
+build() {
+  cd "$pkgname-$pkgver"
+
+  # hang onto this until we do the /{,s}bin merge
+  patch -Np1 <"$srcdir/use-split-usr-path.patch"
+
+  ./configure \
+      --enable-static \
+      --libexecdir=/usr/lib \
+      --localstatedir=/var \
+      --sysconfdir=/etc \
+      --enable-introspection \
+      --enable-gtk-doc \
+      --disable-audit \
+      --disable-ima \
+      --with-sysvinit-path= \
+      --with-sysvrcnd-path=
+
+  make
+}
+
+check() {
+  make -C "$pkgname-$pkgver" check
+}
+
+package_systemd() {
+  pkgdesc="system and service manager"
+  depends=('acl' 'bash' 'dbus-core' 'glib2' 'kbd' 'kmod' 'hwids' 'libcap' 'libgcrypt'
+           'pam' 'util-linux' 'xz')
+  provides=("libsystemd=$pkgver" 'nss-myhostname' "systemd-tools=$pkgver" "udev=$pkgver")
+  replaces=('libsystemd' 'nss-myhostname' 'systemd-tools' 'udev')
+  conflicts=('libsystemd' 'nss-myhostname' 'systemd-tools' 'udev')
+  optdepends=('cryptsetup: required for encrypted block devices'
+              'libmicrohttpd: systemd-journal-gatewayd'
+              'quota-tools: kernel-level quota management'
+              'python: systemd library bindings'
+              'systemd-sysvcompat: symlink package to provide sysvinit binaries')
+  backup=(etc/dbus-1/system.d/org.freedesktop.systemd1.conf
+          etc/dbus-1/system.d/org.freedesktop.hostname1.conf
+          etc/dbus-1/system.d/org.freedesktop.login1.conf
+          etc/dbus-1/system.d/org.freedesktop.locale1.conf
+          etc/dbus-1/system.d/org.freedesktop.timedate1.conf
+          etc/systemd/system.conf
+          etc/systemd/user.conf
+          etc/systemd/logind.conf
+          etc/systemd/journald.conf
+          etc/udev/udev.conf)
+  install="systemd.install"
+
+  make -C "$pkgname-$pkgver" DESTDIR="$pkgdir" install
+
+  printf "d /run/console 0755 root root\n" > "$pkgdir/usr/lib/tmpfiles.d/console.conf"
+
+  install -dm755 "$pkgdir/bin"
+  ln -s ../usr/lib/systemd/systemd "$pkgdir/bin/systemd"
+
+  # don't write units to /etc by default -- we'll enable this on post_install
+  # as a sane default
+  rm "$pkgdir/etc/systemd/system/getty.target.wants/getty at tty1.service"
+  rmdir "$pkgdir/etc/systemd/system/getty.target.wants"
+
+  # get rid of RPM macros
+  rm -r "$pkgdir/etc/rpm"
+
+  # the path to udevadm is hardcoded in some places
+  install -d "$pkgdir/sbin"
+  ln -s ../usr/bin/udevadm "$pkgdir/sbin/udevadm"
+
+  # udevd is no longer udevd because systemd. why isn't udevadm now udevctl?
+  ln -s ../lib/systemd/systemd-udevd "$pkgdir/usr/bin/udevd"
+
+  # add back tmpfiles.d/legacy.conf
+  install -m644 "systemd-$pkgver/tmpfiles.d/legacy.conf" "$pkgdir/usr/lib/tmpfiles.d"
+
+  # Replace dialout/tape/cdrom group in rules with uucp/storage/optical group
+  sed -i 's#GROUP="dialout"#GROUP="uucp"#g;
+          s#GROUP="tape"#GROUP="storage"#g;
+          s#GROUP="cdrom"#GROUP="optical"#g' "$pkgdir"/usr/lib/udev/rules.d/*.rules
+
+  # add mkinitcpio hooks
+  install -Dm644 "$srcdir/initcpio-install-udev" "$pkgdir/usr/lib/initcpio/install/udev"
+  install -Dm644 "$srcdir/initcpio-hook-udev" "$pkgdir/usr/lib/initcpio/hooks/udev"
+  install -Dm644 "$srcdir/initcpio-install-timestamp" "$pkgdir/usr/lib/initcpio/install/timestamp"
+
+  ### split out manpages for sysvcompat
+  rm -rf "$srcdir/_sysvcompat"
+  install -dm755 "$srcdir"/_sysvcompat/usr/share/man/man8/
+  mv "$pkgdir"/usr/share/man/man8/{telinit,halt,reboot,poweroff,runlevel,shutdown}.8 \
+     "$srcdir"/_sysvcompat/usr/share/man/man8
+}
+
+package_systemd-sysvcompat() {
+  pkgdesc="sysvinit compat for systemd"
+  groups=('base')
+  conflicts=('sysvinit')
+  depends=('sysvinit-tools' 'systemd')
+
+  mv "$srcdir/_sysvcompat"/* "$pkgdir"
+
+  install -dm755 "$pkgdir/sbin"
+  for tool in runlevel reboot shutdown poweroff halt telinit; do
+    ln -s '/usr/bin/systemctl' "$pkgdir/sbin/$tool"
+  done
+
+  ln -s '../usr/lib/systemd/systemd' "$pkgdir/sbin/init"
+}
+
+# vim: ft=sh syn=sh et

Copied: systemd/repos/testing-x86_64/initcpio-hook-udev (from rev 180934, systemd/trunk/initcpio-hook-udev)
===================================================================
--- testing-x86_64/initcpio-hook-udev	                        (rev 0)
+++ testing-x86_64/initcpio-hook-udev	2013-03-28 15:21:03 UTC (rev 180935)
@@ -0,0 +1,20 @@
+#!/usr/bin/ash
+
+run_earlyhook() {
+    udevd --daemon --resolve-names=never
+    udevd_running=1
+}
+
+run_hook() {
+    msg ":: Triggering uevents..."
+    udevadm trigger --action=add --type=subsystems
+    udevadm trigger --action=add --type=devices
+    udevadm settle
+}
+
+run_cleanuphook() {
+    udevadm control --exit
+    udevadm info --cleanup-db
+}
+
+# vim: set ft=sh ts=4 sw=4 et:

Copied: systemd/repos/testing-x86_64/initcpio-install-timestamp (from rev 180934, systemd/trunk/initcpio-install-timestamp)
===================================================================
--- testing-x86_64/initcpio-install-timestamp	                        (rev 0)
+++ testing-x86_64/initcpio-install-timestamp	2013-03-28 15:21:03 UTC (rev 180935)
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+build() {
+    add_binary /usr/lib/systemd/systemd-timestamp /usr/bin/systemd-timestamp
+}
+
+help() {
+    cat <<HELPEOF
+Provides support for RD_TIMESTAMP in early userspace, which can be read by a
+program such as systemd-analyze to determine boot time.
+HELPEOF
+}
+
+# vim: set ft=sh ts=4 sw=4 et:

Copied: systemd/repos/testing-x86_64/initcpio-install-udev (from rev 180934, systemd/trunk/initcpio-install-udev)
===================================================================
--- testing-x86_64/initcpio-install-udev	                        (rev 0)
+++ testing-x86_64/initcpio-install-udev	2013-03-28 15:21:03 UTC (rev 180935)
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+build() {
+    local rules tool
+
+    add_file "/etc/udev/udev.conf"
+    add_binary /usr/lib/systemd/systemd-udevd /usr/bin/udevd
+    add_binary /usr/bin/udevadm
+
+    for rules in 50-udev-default.rules 60-persistent-storage.rules 64-btrfs.rules 80-drivers.rules; do
+        add_file "/usr/lib/udev/rules.d/$rules"
+    done
+    for tool in ata_id scsi_id; do
+        add_file "/usr/lib/udev/$tool"
+    done
+
+    add_runscript
+}
+
+help() {
+    cat <<HELPEOF
+This hook will use udev to create your root device node and detect the needed
+modules for your root device. It is also required for firmware loading in
+initramfs. It is recommended to use this hook.
+HELPEOF
+}
+
+# vim: set ft=sh ts=4 sw=4 et:

Copied: systemd/repos/testing-x86_64/systemd.install (from rev 180934, systemd/trunk/systemd.install)
===================================================================
--- testing-x86_64/systemd.install	                        (rev 0)
+++ testing-x86_64/systemd.install	2013-03-28 15:21:03 UTC (rev 180935)
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+sd_booted() {
+  [ -e sys/fs/cgroup/systemd ]
+}
+
+add_privs() {
+  if ! setcap "$2" "$1" 2>/dev/null; then
+    echo "==> Warning: setcap failed, falling back to setuid root on /$1"
+    chmod u+s "$1"
+  fi
+}
+
+post_common() {
+  systemd-machine-id-setup
+
+  add_privs usr/bin/systemd-detect-virt 'cap_dac_override,cap_sys_ptrace+ep'
+
+  udevadm hwdb --update
+  journalctl --update-catalog
+
+  if sd_booted; then
+    systemctl --system daemon-reexec
+  fi
+}
+
+mask_net_naming() {
+  if [ ! -e etc/udev/rules.d/80-net-name-slot.rules ]; then
+    printf >etc/udev/rules.d/80-net-name-slot.rules '# %s\n' \
+      "This file masks persistent renaming rules for network devices. If you" \
+      "delete this file, /usr/lib/udev/rules.d/80-net-name-slot.rules may" \
+      "rename network devices according to ID_NET_NAME_{ONBOARD,SLOT,PATH}" \
+      "properties of your network devices, with priority in that order. See" \
+      "the output of 'udevadm test-builtin net_id /sys/class/net/\$interface'" \
+      "for details on what that new name might be." \
+      "" \
+      "http://www.freedesktop.org/wiki/Software/systemd/PredictableNetworkInterfaceNames"
+  fi
+}
+
+post_install() {
+  post_common
+
+  # enable getty at tty1 by default, but don't track the file
+  systemctl enable getty at .service
+
+  echo ":: Append 'init=/usr/lib/systemd/systemd' to your kernel command line in your"
+  echo "   bootloader to replace sysvinit with systemd, or install systemd-sysvcompat"
+}
+
+post_upgrade() {
+  post_common
+
+  # getty at tty1.service is no longer enabled by default, but we don't want to break
+  # existing setups.
+  if [ "$(vercmp 183 "$2")" -eq 1 ]; then
+    # systemctl seems to be whiny on sysvinit. this will succeed unless something
+    # horrific happens, so just mask the error.
+    systemctl -q enable getty at .service || true
+  fi
+
+  if [ "$(vercmp 194-4 "$2")" -eq 1 ]; then
+    printf '==> journald now writes to /var/log/journal by default. This can be\n'
+    printf '    controlled with the Storage setting in /etc/systemd/journald.conf\n'
+  fi
+
+  # logind's protocol changed. kindly restart the daemon to avoid locking
+  # out further logins.
+  if [ "$(vercmp 195 "$2")" -eq 1 ]; then
+    if sd_booted; then
+      systemctl restart systemd-logind.service
+    fi
+  fi
+
+  if [ "$(vercmp 196-1 "$2")" -eq 1 ]; then
+    printf '==> The legacy configuration options are no longer supported in rc.conf,\n'
+    printf '    convert your rc.conf to the new configuration formats.\n'
+  fi
+
+  if [ "$(vercmp 197-1 "$2")" -eq 1 ]; then
+    mask_net_naming
+    printf '==> Persistent net naming rules have been shipped as disabled.\n'
+    printf '    See /etc/udev/rules.d/80-net-name-slot.rules for more detail\n'
+  fi
+}
+
+# vim:set ts=2 sw=2 et:

Copied: systemd/repos/testing-x86_64/use-split-usr-path.patch (from rev 180934, systemd/trunk/use-split-usr-path.patch)
===================================================================
--- testing-x86_64/use-split-usr-path.patch	                        (rev 0)
+++ testing-x86_64/use-split-usr-path.patch	2013-03-28 15:21:03 UTC (rev 180935)
@@ -0,0 +1,14 @@
+--- a/src/core/main.c	2012-09-20 23:02:54.000000000 -0400
++++ b/src/core/main.c	2012-09-20 23:03:13.000000000 -0400
+@@ -1487,11 +1487,7 @@ int main(int argc, char *argv[]) {
+ 
+         /* Set up PATH unless it is already set */
+         setenv("PATH",
+-#ifdef HAVE_SPLIT_USR
+                "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
+-#else
+-               "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin",
+-#endif
+                arg_running_as == SYSTEMD_SYSTEM);
+ 
+         if (arg_running_as == SYSTEMD_SYSTEM) {




More information about the arch-commits mailing list